# MSP::CCS::CoordinateType Class Reference

`#include <CoordinateType.h>`

List of all members.

## Public Types

enum

Enum {
albersEqualAreaConic, azimuthalEquidistant, bonne, britishNationalGrid,
cassini, cylindricalEqualArea, eckert4, eckert6,
equidistantCylindrical, geocentric, geodetic, georef,
globalAreaReferenceSystem, gnomonic, lambertConformalConic1Parallel, lambertConformalConic2Parallels,
localCartesian, mercatorStandardParallel, mercatorScaleFactor, militaryGridReferenceSystem,
millerCylindrical, mollweide, newZealandMapGrid, neys,
obliqueMercator, orthographic, polarStereographicStandardParallel, polarStereographicScaleFactor,
polyconic, sinusoidal, stereographic, transverseCylindricalEqualArea,
transverseMercator, universalPolarStereographic, universalTransverseMercator, usNationalGrid,
vanDerGrinten
}

## Detailed Description

Definition at line 12 of file CoordinateType.h.

## Member Enumeration Documentation

enum MSP::CCS::CoordinateType::Enum

Enumerator:

  albersEqualAreaConic |
  azimuthalEquidistant |
  bonne |
  britishNationalGrid |
  cassini |
  cylindricalEqualArea |
  eckert4 |
  eckert6 |
  equidistantCylindrical |
  geocentric |
  geodetic |
  georef |
  globalAreaReferenceSystem |
  gnomonic |
  lambertConformalConic1Parallel |
  lambertConformalConic2Parallels |
  localCartesian |
  mercatorStandardParallel |
  mercatorScaleFactor |
  militaryGridReferenceSystem |
  millerCylindrical |
  mollweide |
  newZealandMapGrid |
  neys |
  obliqueMercator |
  orthographic |
  polarStereographicStandardParallel |
  polarStereographicScaleFactor |
  polyconic |
  sinusoidal |
  stereographic |
  transverseCylindricalEqualArea |
  transverseMercator |
  universalPolarStereographic |
  universalTransverseMercator |
  usNationalGrid |
  vanDerGrinten |

Definition at line 16 of file CoordinateType.h.

The documentation for this class was generated from the following file:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/Enumerations/CoordinateType.h